summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372018-11-22 00:17:05 -0200
committerbtd13372018-11-22 00:17:05 -0200
commit78e97937a82df96e84e5597c4269217431dac93e (patch)
tree4e5b708433b3d4aa357abc1beb7f9b72d59d1ee0
downloadaur-78e97937a82df96e84e5597c4269217431dac93e.tar.gz
initial release
-rw-r--r--.SRCINFO22
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD46
3 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4b9122ac8ed
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = formatter-git
+ pkgdesc = A simple device formatter built for Pantheon Shell
+ pkgver = latest
+ pkgrel = 1
+ url = https://github.com/djaler/formatter
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = cmake
+ makedepends = cmake-modules-elementary-git
+ makedepends = git
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = debhelper
+ provides = formatter
+ conflicts = formatter
+ source = git+https://github.com/djaler/formatter.git
+ md5sums = SKIP
+
+pkgname = formatter-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..373c76608e7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=formatter
+_author=djaler
+pkgname=("${_gitname}-git")
+pkgver=latest
+pkgrel=1
+pkgdesc="A simple device formatter built for Pantheon Shell"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'debhelper')
+optdepends=('')
+makedepends=('cmake' 'cmake-modules-elementary-git' 'git' 'vala')
+provides=("${_gitname}")
+conflicts=("${_gitname}")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${_gitname}"
+ install -d build
+}
+
+build() {
+ cd "${_gitname}/build"
+ cmake .. \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr
+ make
+}
+
+package() {
+ cd "${_gitname}/build"
+ make DESTDIR="${pkgdir}" install
+}
+